package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/7
 */
@Data
public class CmLadderPrice {

    /**
     * 主键 id
     */
    private Integer id;
    /**
     * skuId
     */
    private Integer skuId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 用户类型，1游客，2普通用户，3会员用户
     */
    private Integer userType;
    /**
     * 第几阶梯
     */
    private Integer ladderNum;
    /**
     * 购买数量
     */
    private Integer buyNum;
    /**
     * 购买价格
     */
    private Double buyPrice;
    /**
     * 创建人ID
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 最后更新人ID(用户ID)
     */
    private String updateBy;
    /**
     * 最后更新时间
     */
    private Date updateDate;
    /**
     * 删除标记 0正常 其它为已删除（使用时间戳记录） 默认值 = 0
     */
    private String delFlag;
}
